KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME
kubeadm init phase kubelet-finalize enable-client-cert-rotation - Enable kubelet client certificate rotation

SYNOPSIS
kubeadm init phase kubelet-finalize enable-client-cert-rotation [OPTIONS]

DESCRIPTION
Enable kubelet client certificate rotation

OPTIONS
--cert-dir="/etc/kubernetes/pki"
    The path where to save and store the certificates.

--config=""
    Path to a kubeadm configuration file.

--dry-run=false
    Don't apply any changes; just output what would be done.

OPTIONS INHERITED FROM PARENT COMMANDS
--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO
kubeadm-init-phase-kubelet-finalize(1),

HISTORY
January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!